
/*---------------------------------------------

menu

---------------------------------------------*/


@media screen and (min-width : 769px){
  
  #menuBtn{
    background: url("../images/nav/btn_menu01_bk.png") no-repeat;
    background-size:100% 100%;
    width: 60px; height: 60px;
    cursor: pointer;
    position: fixed;
    top: 0; left: 0;
    z-index: 50;
  }
  
  #menuBtn2{
    background: #000 url("../images/nav/btn_menu02.png") no-repeat;
    background-size:100% 100%;
    width: 60px; height: 60px;
    cursor: pointer;
    position: fixed;
    top: 0; left: 0;
    z-index: 55;
    display: none;
  }
  
  #menuBtntop{
    background:#fff;
    width: 60px; height: 60px;
    cursor: pointer;
    position: fixed;
    top: 0; left: 0;
    z-index: 49;
    opacity: 0.6;
  }
  
  #menuAll{
    width: 380px; height: 100%;
    position: fixed;
    top: 0; left: 0;
    z-index: 40;
    overflow-y: auto;
    box-shadow: 0 0 20px rgba(0,0,0,0.1);
    display: none;
  }
  
  #menuBG{
    background: #fff;
    width: 100%; height: 100%;
    position: absolute;
    top: 0; left: 0;
    z-index: 2;
    opacity: 0.95;
  }
  
  #menu{
    width: 75%;
    position: absolute;
    top: 80px; left: 12.5%;
    z-index: 3;
  }

  #menu ul {
    list-style: none outside none;
    margin: 0;
    padding: 0;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  
  #menu ul li {
    width: 100%;
    margin: 0 auto 0.5em;
    transition: all 0.3s ease;
    cursor: pointer;
    user-select: none;
  }
  
  #menu ul li:hover{ opacity: 0.7;}
  
  #menu ul li.menu a{
    width: 100%; height: 100%;
    display: block;
    font-family: "Noto Serif JP", serif;
    font-weight: 400;
    color: #000;
    font-size: 13px;
    line-height: 3.6em;
    text-align: center;
    letter-spacing: 0.3em;
    border-bottom: 1px solid #777777;
  }
  
  #menu ul li.nav_w_50 {
    width: 47%;
    margin: 0 0 0.5em;
    transition: all 0.3s ease;
    cursor: pointer;
  }
  
  #menu ul li.nav_w_50 a{
    width: 100%; height: 100%;
    display: block;
    font-family: "Noto Serif JP", serif;
    font-weight: 400;
    color: #000;
    font-size: 13px;
    line-height: 3.6em;
    text-align: center;
    letter-spacing: 0.2em;
    border-bottom: 1px solid #777777;
  }
  
  #menu ul li.snsicon{
    width: 100%;
    text-align: center;
    padding: 20px 0;
  }
  
  #menu ul li.snsicon img{ margin: 0 5px;}
  
  /*---------------------------------------------
  
  sns
  
  ----------------------------------------------*/
  
  #snsAll{
    width: 150px; height: 50px;
    position: absolute;
    top: 20px; right: 20px;
    z-index: 20;
    display: flex;
    justify-content: flex-end;
  }
  
  #iX{
    background: url("../images/sns/i_x.png") no-repeat center;
    background-size: 90% auto;
    width: 40px; height: 40px;
    transition: all 0.3s ease;
  }
  
  #iInstagram{
    background: url("../images/sns/i_instagram.png") no-repeat center;
    background-size: 90% auto;
    width: 40px; height: 40px;
    transition: all 0.3s ease;
  }

  #iTiktok{
    background: url("../images/sns/i_tiktok.png") no-repeat center;
    background-size: 90% auto;
    width: 40px; height: 40px;
    transition: all 0.3s ease;
  }
  
  #iX a,#iInstagram a,#iTiktok a{
    width: 100%; height: 100%;
    display: block;
  }
  
}

.menuNMs{ font-size: 60%;}
.spaceS{ letter-spacing: -0.1em;}


@media screen and (max-width : 768px){
  
  #menuBtn{
    background: url("../images/nav/btn_menu01.png") no-repeat;
    background-size:100% 100%;
    width: 50px; height: 50px;
    cursor: pointer;
    position: fixed;
    top: 0; left: 0;
    z-index: 50;
    mix-blend-mode:difference;
  }
  
  #menuBtn2{
    background: #000 url("../images/nav/btn_menu02.png") no-repeat;
    background-size:100% 100%;
    width: 50px; height: 50px;
    cursor: pointer;
    position: fixed;
    top: 0; left: 0;
    z-index: 55;
    display: none;
  }
  
  #menuBtntop{
    background:#fff;
    width: 50px; height: 50px;
    cursor: pointer;
    position: fixed;
    top: 0; left: 0;
    z-index: 49;
    opacity: 0.40;
    display: none;
  }
  
  #menuBG{
    background: #fff;
    width: 100%; 
    height: 100%;
    position: fixed;
    top: 0; left: 0;
    z-index: 2;
    opacity: 0.95;
  }
  
  #menuAll{
    background-size: cover;
    width: 100%; 
    height: 100%;
    position: fixed;
    top: 0; left: 0;
    z-index: 40;
    overflow-x: hidden;
    overflow-y: auto;
    display: none;
  }
  
  #menu{
    width: 80%;
    position: absolute;
    top: 70px; 
    left: 10%;
    z-index: 3;
  }

  #menu ul {
    list-style: none outside none;
    margin: 0;
    padding: 0;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  
  #menu ul li {
    width: 100%;
    margin: 0 auto 10px;
    user-select: none;
  }


  #menu ul li.menu a{
    width: 100%; height: 100%;
    display: block;
    font-family: "Noto Serif JP", serif;
    font-weight: 400;
    color: #000;
    font-size: 11px;
    line-height: 3.4em;
    text-align: center;
    text-decoration: none;
    letter-spacing: 0.2em;
    border-bottom: 1px solid #777777;
  }
  
  #menu ul li.nav_w_50 {
    width: 47%;
    margin: 0 0 0.5em;
    transition: all 0.3s ease;
    cursor: pointer;
  }
  
  #menu ul li.nav_w_50 a{
    width: 100%; height: 100%;
    display: block;
    font-family: "Noto Serif JP", serif;
    font-weight: 400;
    color: #000;
    font-size: 11px;
    line-height: 3.4em;
    text-align: center;
    letter-spacing: 0.2em;
    border-bottom: 1px solid #777777;
  }
  
  #menu ul li.snsicon{
    width: 100%;
    text-align: center;
    padding: 20px 0 0;
  }
  
  #menu ul li.snsicon img{ margin: 0 5px;}
  
  /*---------------------------------------------
  
  sns
  
  ----------------------------------------------*/
  
  #snsAll{
    width: 100px; height: 38px;
    position: absolute;
    top: 6px; right: 5px;
    z-index: 20;
    display: flex;
    justify-content: flex-end;
  }
  
  #iX{
    background: url("../images/sns/i_x.png") no-repeat center;
    background-size: 90% auto;
    width: 38px; height: 38px;
  }
  
  #iInstagram{
    background: url("../images/sns/i_instagram.png") no-repeat center;
    background-size: 90% auto;
    width: 38px; height: 38px;
  }
  
  #iTiktok{
    background: url("../images/sns/i_tiktok.png") no-repeat center;
    background-size: 90% auto;
    width: 38px; height: 38px;
  }
  
  #iX a,#iInstagram a,#iTiktok a{
    width: 100%; height: 100%;
    display: block;
  }
  
}
